package net.sourceforge.ganttproject.datafilter;

import net.sourceforge.ganttproject.task.Task;

/**
 * Interface for groups of task in filter panel.  
 * 
 * Created 12.2007
 * 
 * @author Joanna Muras 
 */
public interface TaskGroup {

    /** Get group name */
    String getName();
    /** Get tasks in group */
    Task[] getTasks();
    /** Filter existing tasks according to the groups */
    void filterTasks();
}
